Bug 128764 - UDF fs oopses with novrs option
UDF fs oopses with novrs option
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2004-07-29 04:36 EDT by David Balažic
Modified: 2015-01-04 17:08 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-04-16 01:47:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description David Balažic 2004-07-29 04:36:33 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.7)
Gecko/20040707 Firefox/0.9.2

Description of problem:
When mounting a certain UDF CD I get this :

[root@localhost root]# mount -r  -o novrs   -t udf   /dev/cdrom2 
Unable to handle kernel NULL pointer dereference at virtual address
 printing eip:
*pde = 00000000
Oops: 0000 [#1]
CPU:    0
EIP:    0060:[<0218f493>]    Not tainted
EFLAGS: 00010213   (2.6.5-1.358)
EIP is at match_number+0x39/0x85
eax: 00000246   ebx: 292b1e10   ecx: 00000091   edx: 31feb154
esi: 00000000   edi: 30af5400   ebp: 30af5400   esp: 292b1de8
ds: 007b   es: 007b   ss: 0068
Process mount (pid: 2362, threadinfo=292b1000 task=30d699b0)
Stack: 00000000 292b1e0c 00000000 292b1e74 26ac7000 29781cf8 00000000
       00000000 00000000 00000000 00000246 31fef300 000000d0 31fef300
       00000246 29d91600 29d91600 26ac7000 36d85ea7 00000000 29781c90
Call Trace:
 [<36d83b1e>] udf_parse_options+0x91/0x28a [udf]
 [<36d85ea7>] udf_fill_super+0x77/0x5ed [udf]
 [<021462a7>] get_sb_bdev+0xd8/0x114
 [<0212ea1b>] __alloc_pages+0x9c/0x281
 [<36d839fa>] udf_get_sb+0xe/0x11 [udf]
 [<36d85e30>] udf_fill_super+0x0/0x5ed [udf]
 [<0214646c>] do_kern_mount+0x8a/0x124
 [<021562b0>] do_add_mount+0x55/0x145
 [<021565af>] do_mount+0x178/0x190
 [<0213f3d3>] get_user_size+0x30/0x57
 [<0215689a>] sys_mount+0x7b/0xe4

Code: f3 a5 a8 02 74 02 66 a5 a8 01 74 01 a4 8b 43 04 8d 54 24 08
 Segmentation fault

I tried the "novrs" option, because otherwise it does not recognise
the CD :

UDF-fs DEBUG fs/udf/lowlevel.c:57:udf_get_last_session: XA disk: yes,
UDF-fs DEBUG fs/udf/super.c:1552:udf_fill_super: Multi-session=30622
UDF-fs DEBUG fs/udf/super.c:540:udf_vrs: Starting at sector 30638
(2048 byte sectors)
UDF-fs DEBUG fs/udf/misc.c:236:udf_read_tagged: location mismatch
block 30878, tag 30878 != 256
UDF-fs DEBUG fs/udf/super.c:1342:udf_load_partition: No Anchor block found
UDF-fs: No partition found (1)

Version-Release number of selected component (if applicable):

How reproducible:
Didn't try
Comment 1 Dave Jones 2005-04-16 01:47:14 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.